org.apache.cassandra.db.compaction

## Class Upgrader

- java.lang.Object
- - org.apache.cassandra.db.compaction.Upgrader

    public class Upgrader
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Upgrader(ColumnFamilyStore cfs, LifecycleTransaction txn, OutputHandler outputHandler)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `upgrade(boolean keepOriginals)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Upgrader

    public Upgrader(ColumnFamilyStore cfs,
                    LifecycleTransaction txn,
                    OutputHandler outputHandler)

### Method Detail

#### upgrade

    public void upgrade(boolean keepOriginals)